import * as rpc from 'vscode-jsonrpc';
import { AbstractHandler } from './abstractHandler';
import { RuntimeService } from './services/runtimeService';
import { InstallationService } from './services/installationService';
import { InstallableServerService } from './services/installableServerService';
export declare class MessageHandler extends AbstractHandler {
    private runtimeService;
    private installableServerService;
    private installationService;
    constructor(connection: rpc.MessageConnection, runtimeService: RuntimeService, installableServerService: InstallableServerService, installationService: InstallationService);
    protected init(): void;
}
