"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const EventBus = require("vertx3-eventbus-client");
class RuntimeConnector {
    static connect(runConfiguration) {
        return new Promise(resolve => {
            const stream = new EventBus(`http://${runConfiguration.host}:${runConfiguration.port}/eventbus`);
            stream.onopen = () => resolve(stream);
        });
    }
}
exports.RuntimeConnector = RuntimeConnector;
//# sourceMappingURL=runtimeConnector.js.map