/// <reference types="node" />
import { Protocol, rhamtEvents } from 'raas-core';
import * as cp from 'child_process';
import { NotificationService } from '../services/notificationService';
export declare class RuntimeController {
    onShutdown: rhamtEvents.TypedEvent<void>;
    handle: Protocol.ServerInstanceHandle;
    analysis: Protocol.Analysis;
    private server;
    private notificationService;
    constructor(handle: Protocol.ServerInstanceHandle, server: cp.ChildProcess, notificationService: NotificationService);
    init(): void;
    analyze(config: Protocol.AnalysisRunConfiguration): void;
    private doAnalyze;
    private connect;
    private prepPayload;
    shutdown(): void;
}
