/// <reference types="node" />
import * as net from 'net';
import { Client } from './client';
export declare class Server {
    private emitter;
    private clientService;
    private runtimeService;
    private notificationService;
    private installationService;
    private installableServerService;
    private server;
    constructor();
    start(port: number): void;
    connectClient(s: net.Socket): void;
    disconnectClient(client: Client): void;
    shutdown(): void;
}
