import { Protocol } from 'raas-core';
import { ClientService } from './clientService';
export declare class InstallableServerService {
    private installableServers;
    private clientService;
    constructor(clientService: ClientService);
    getInstallableServer(id: string): Protocol.InstallableServer | undefined;
    getInstallableServers(): Array<Protocol.InstallableServer>;
    addInstallableServer(installableServer: Protocol.InstallableServer): boolean;
    deleteInstallableServer(installableServer: Protocol.InstallableServer): boolean;
    updateInstallableServer(installableServer: Protocol.InstallableServer): boolean;
    onInstallableServerAdded(installableServer: Protocol.InstallableServer): void;
    onInstallableServerDeleted(installableServer: Protocol.InstallableServer): void;
    onInstallableServerUpdated(installableServer: Protocol.InstallableServer): void;
}
