import { ClientService } from './clientService';
import { Protocol } from 'raas-core';
export declare class NotificationService {
    private clientService;
    constructor(clientSerivce: ClientService);
    onErrorStartingServer(data: {
        config: Protocol.ServerRunConfiguration;
        msg: String;
    }): void;
    onServerStarted(handle: Protocol.ServerInstanceHandle): void;
    onServerMessage(config: Protocol.ServerRunConfiguration, msg: string): void;
    onServerStopped(handle: Protocol.ServerInstanceHandle): void;
    onMessage(data: {
        analysis: Protocol.Analysis;
        error: Error;
        msg: any;
    }): void;
    onAnalysisStarted(analysis: Protocol.Analysis): void;
    onAnalysisCancelled(analysis: Protocol.Analysis): void;
    private notify;
}
