import { Protocol } from 'raas-core';
import { NotificationService } from './notificationService';
export declare class RuntimeService {
    private controllers;
    private notificationService;
    constructor(notificationService: NotificationService);
    startServer(serverRunConfig: Protocol.ServerRunConfiguration, installation: Protocol.Installation): Promise<any>;
    private findExecutable;
    stopServer(id: string): void;
    analyze(config: Protocol.AnalysisRunConfiguration): boolean;
    cancelAnalysis(analysis: Protocol.Analysis): boolean;
    getServerHandles(): Protocol.ServerInstanceHandle[];
    getAllAnalyses(): Protocol.Analysis[];
}
