/// <reference types="node" />
import * as net from 'net';
import { EventEmitter } from 'events';
import { RaasClient } from 'raas-client';
export declare class DriverClient {
    private emitter;
    private socket;
    id: string;
    private raasConfig;
    raasClient: RaasClient;
    private messageDelegate;
    constructor(emitter: EventEmitter, socket: net.Socket, id: string, raasConfig: {
        host: string;
        port: number;
    });
    private listen;
    private listenForCommands;
    connect(): void;
    private disconnectClient;
    private registerRaasClientListeners;
}
