/// <reference types="node" />
import * as net from 'net';
export declare class DriverServer {
    private clients;
    private raasConfig;
    private emitter;
    private server;
    private connectIdSeq;
    private raasServer;
    startRaasServer(port: number): void;
    startSocketServer(port: number, raasConfig: {
        host: string;
        port: number;
    }): void;
    connect(c: net.Socket): void;
    private onClientDisconnected;
}
