/// <reference types="node" />
import { Client } from '../client';
import * as net from 'net';
export declare class ClientService {
    clients: Map<string, Client>;
    private connectIdSeq;
    connectClient(socket: net.Socket): Client;
    disconnectClient(client: Client): void;
    notify(type: any, data: any): void;
}
